module f1dim_mod		!used for communication from linmin to f1dim
!use nrtype
Integer :: ncom
Double Precision , dimension(:), pointer :: pcom, xicom

	Contains

	Function f1dim(x)
		Implicit NONE
		Double Precision, intent(in) :: x
		Double Precision :: f1dim
!	used by linmin as the one-dimensional function passed to mnbrak and brent.
		Interface
			Function func(x)
				!use nrtype
				Double Precision, intent(in), dimension(:) :: x
				Double Precision :: func
			end Function func
		end interface

		Double Precision, dimension(:), allocatable :: xt

		allocate(xt(ncom))
		xt(:) = pcom(:) + x*xicom(:)
		f1dim = func(xt)
		deallocate(xt)
	end function f1dim
end module f1dim_mod
