SUBROUTINE par_values
use mbr_vars
IMPLICIT NONE

	Integer :: ss1, i,ii, j, k

	ss1      = ss(p_probtype2) + ss(p_probtype3)

	print *," "
	print '(I2,1X,A,F10.5)'   ,ss(p_cost1),        "Moving cost, Type 1:            ",q(p_cost1)
	print '(I2,1X,A,F10.5)'   ,ss(p_cost1),        "                            se: ",std(p_cost1)
	print '(I2,1X,A,F10.5)'   ,ss(p_distance),     "Distance effect on moving cost: ",q(p_distance)
	print '(I2,1X,A,F10.5)'   ,ss(p_distance),     "                            se: ",std(p_distance)
	print '(I2,1X,A,F10.5)'   ,ss(p_adjacent),     "Adj loc discount moving cost:   ",q(p_adjacent)
	print '(I2,1X,A,F10.5)'   ,ss(p_adjacent),     "                            se: ",std(p_adjacent)
	print '(I2,1X,A,F10.5)'   ,ss(p_home),         "Home premium:                   ",q(p_home)
	print '(I2,1X,A,F10.5)'   ,ss(p_home),         "                            se: ",std(p_home)
	print '(I2,1X,A,F10.5)'   ,ss(p_previous),     "Prev loc discount moving cost:  ",q(p_previous)
	print '(I2,1X,A,F10.5)'   ,ss(p_previous),     "                            se: ",std(p_previous)
	print '(I2,1X,A,F10.5)'   ,ss(p_age),          "Age effect on moving cost:      ",q(p_age)
	print '(I2,1X,A,F10.5)'   ,ss(p_age),          "                            se: ",std(p_age)
	print '(I2,1X,A,F10.5)'   ,ss(p_pop),          "Pop effect on moving cost:      ",q(p_pop)
	print '(I2,1X,A,F10.5)'   ,ss(p_pop),          "                            se: ",std(p_pop)
	print '(I2,1X,A,3x,F10.8)',ss(probtype(3)),    "Probability of Type 3:          ",q(probtype(3))
	print '(I2,1X,A,F10.5)'   ,ss(probtype(3)),    "                            se: ",std(probtype(3))
	print '(I2,1X,A,F10.5)'   ,ss(p_cool),         "Cooling degree-days          :  ",q(p_cool)
	print '(I2,1X,A,F10.5)'   ,ss(p_cool),         "                            se: ",std(p_cool)
	print '(I2,1X,A,F10.5)'   ,ss(p_heat),         "Heating degree-days          :  ",q(p_heat)
	print '(I2,1X,A,F10.5)'   ,ss(p_heat),         "                            se: ",std(p_heat)
	print '(I2,1X,A,3x,F10.8)',ss(p_income),       "Income coefficient:             ",q(p_income)
	print '(I2,1X,A,F10.5)'   ,ss(p_income),       "                            se: ",std(p_income)
	print '(I2,1X,A,F10.5)'   ,ss(p_cost3),        "Moving cost, Type 3:            ",q(p_cost3)
	print '(I2,1X,A,F10.5)'   ,ss(p_cost3),        "                            se: ",std(p_cost3)
	print '(I2,1X,A,F10.5)'   ,ss(p_pop_pref),     "Pop parameter (pref shock):     ",q(p_pop_pref)
	print '(I2,1X,A,F10.5)'   ,ss(p_pop_pref),     "                            se: ",std(p_pop_pref)
	print '(I2,1X,A,F10.5)'   ,ss(p_movehome),     "Home loc discount moving cost:  ",q(p_movehome)
	print '(I2,1X,A,F10.5)'   ,ss(p_movehome),     "                            se: ",std(p_movehome)
	print '(I2,1X,A,F10.5)'   ,ss(p_homedistance), "Distance from home:             ",q(p_homedistance)
	print '(I2,1X,A,F10.5)'   ,ss(p_homedistance), "                            se: ",std(p_homedistance)
	print '(I2,1X,A,3x,F10.8)',ss1  ,              "Probability of Type 1:          ",ptype(1)
	print '(I2,1X,A,F10.5)'   ,ss1,                "                            se: ",std(probtype(3))
	print '(I2,1X,A,3x,F10.8)',ss(probtype(2)),    "Probability of Type 2:          ",q(probtype(2))
	print '(I2,1X,A,F10.5)'   ,ss(probtype(2)),    "                            se: ",std(probtype(2))
	print '(I2,1X,A,F10.5)'   ,ss(p_cost2),        "Moving cost, Type 2:            ",q(p_cost2)
	print '(I2,1X,A,F10.5)'   ,ss(p_cost2),        "                            se: ",std(p_cost2)
	print '(I2,1X,A,F10.5)'   ,ss(p_sea),          "Seashore                     :  ",q(p_sea)
	print '(I2,1X,A,F10.5)'   ,ss(p_sea),          "                            se: ",std(p_sea)
	print '(I2,1X,A,F10.5)'   ,ss(p_rain),         "Precipitation                :  ",q(p_rain)
	print '(I2,1X,A,F10.5)'   ,ss(p_rain),         "                            se: ",std(p_rain)
	print '(I2,1X,A,F10.5)'   ,ss(p_degdays),      "Total degree-days            :  ",q(p_degdays)
	print '(I2,1X,A,F10.5)'   ,ss(p_degdays),      "                            se: ",std(p_degdays)

	print *," "
	print *,"Region Dummies "

	do k = 1,NLOC
    	print '(I2,1X,A,I5, A,F10.5)',ss(p_region(k)),   "Region ",k,"                 :  ",q(p_region(k))
    	print '(I2,1X,A,F10.5)'   ,ss(p_region(k)),      "                            se: ",std(p_region(k))
	end do ! k

	print *," "
	print '(I2,1X,A,F10.5)'   ,ss(p_meanwage),   "Mean:                                                      ",  q(p_meanwage)
	print '(I2,1X,A,F10.5)'   ,ss(p_meanwage),   "                                                       se: ",std(p_meanwage)
	j = p_mu
	print '(I2,1X,A,F10.5)'   ,ss(j),            "                   State mean (p_mu = 1 in the model)      ",q(j)
	print '(I2,1X,A,F10.5)'   ,ss(j),            "                                                       se: ",std(j)
	j = j + 1
	print '(I2,1X,A,F10.5)'   ,ss(j),            "                                           time trend      ",q(j)
	print '(I2,1X,A,F10.5)'   ,ss(j),            "                                                       se: ",std(j)
	print '(I2,1X,A,F10.5)'   ,ss(p_linearwage), "Linear effect of Age (on wage offers)                      ",  q(p_linearwage)
	print '(I2,1X,A,F10.5)'   ,ss(p_linearwage), "                                                       se: ",std(p_linearwage)
	print '(I2,1X,A,F10.5)'   ,ss(p_quadwage),   "Quadratic effect of Age (on wage offers)                   ",  q(p_quadwage)
	print '(I2,1X,A,F10.5)'   ,ss(p_quadwage),   "                                                       se: ",std(p_quadwage)
	j = p_afqt
	print '(I2,1X,A,F10.5)'   ,ss(j),            "AFQT effect (on wage offers)                               ",q(j)
	print '(I2,1X,A,F10.5)'   ,ss(j),            "                                                       se: ",std(j)
	j = p_afqt_age
	print '(I2,1X,A,F10.5)'   ,ss(j),            "Interaction of AFQT and age (wage offers)                  ",q(j)
	print '(I2,1X,A,F10.5)'   ,ss(j),            "                                                       se: ",std(j)
	print '(I2,1X,A,F10.5)'   ,ss(p_sigeps1),    "Standard deviation, transient wage component 1:            ",  q(p_sigeps1)
	print '(I2,1X,A,F10.5)'   ,ss(p_sigeps1),    "                                                       se: ",std(p_sigeps1)
	print '(I2,1X,A,F10.5)'   ,ss(p_sigeps2),    "Standard deviation, transient wage component 2:            ",  q(p_sigeps2)
	print '(I2,1X,A,F10.5)'   ,ss(p_sigeps2),    "                                                       se: ",std(p_sigeps2)
	print '(I2,1X,A,F10.5)'   ,ss(p_sigeps3),    "Standard deviation, transient wage component 3:            ",  q(p_sigeps3)
	print '(I2,1X,A,F10.5)'   ,ss(p_sigeps3),    "                                                       se: ",std(p_sigeps3)
	print '(I2,1X,A,F10.5)'   ,ss(p_sigeps4),    "Standard deviation, transient wage component 4:            ",  q(p_sigeps4)
	print '(I2,1X,A,F10.5)'   ,ss(p_sigeps4),    "                                                       se: ",std(p_sigeps4)
	print '(I2,1X,A,F10.5)'   ,ss(p_sigups),     "Standard deviation, location match component (wage):       ",  q(p_sigups)
	print '(I2,1X,A,F10.5)'   ,ss(p_sigups),     "                                                       se: ",std(p_sigups)
	print '(I2,1X,A,F10.5)'   ,ss(p_sigups2),    "Standard deviation, location match component (preference): ",  q(p_sigups2)
	print '(I2,1X,A,F10.5)'   ,ss(p_sigups2),    "                                                       se: ",std(p_sigups2)
	print *," "
	do i = 1, NPT_fe_par
		print '(I2,1X,A,I2,A,F10.5)',ss(p_eta1+i-1), "Support point, individual fixed effect ",i,":                 ",q(p_eta1+i-1)
		print '(I2,1X,A,F10.5)',ss(p_eta1+i-1),  "                                                       se: ",std(p_eta1+i-1)
	end do ! i

	print *," "

	print *, "cdeck values"
!	print '(I3,31f16.9,/49f16.9,f9.0,I4,f9.4,I5/)',NPARME,(q(i),i=1,NPARMS),IFAC,FEV, BETA, CAP_AGE
	print '(I3,f9.0,I4,f9.4,I5/)',NPARME,IFAC,FEV, BETA, CAP_AGE
	
	do ii = 1,NPARMS
    	print '(I3,f16.9,I3,f9.4)',ii,q(ii),ss(ii),ff(ii)
	end do ! ii = 1,NPARMS

end subroutine par_values
