SUBROUTINE lubksb(a,indx,b)
!USE nrtype; 
USE nrutil, ONLY : assert_eq
IMPLICIT NONE
	Double Precision, DIMENSION(:,:), INTENT(IN) :: a
	INTEGER, DIMENSION(:), INTENT(IN) :: indx
	Double Precision, DIMENSION(:), INTENT(INOUT) :: b
	INTEGER :: i,n,ii,ll
	Double Precision :: summ
	n=assert_eq(size(a,1),size(a,2),size(indx),'lubksb')
	ii=0
	do i=1,n
		ll=indx(i)
		summ=b(ll)
		b(ll)=b(i)
		if (ii /= 0) then
			summ=summ-dot_product(a(i,ii:i-1),b(ii:i-1))
		else if (summ /= 0.0) then
			ii=i
		end if
		b(i)=summ
	end do
	do i=n,1,-1
		b(i) = (b(i)-dot_product(a(i,i+1:n),b(i+1:n)))/a(i,i)
	end do
END SUBROUTINE lubksb
